> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post templatingv1

> Execute file templating on the file.



## OpenAPI

````yaml /openapis/templating.json post /templating/v1
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: templating
    description: Lets you execute file templating on a file
paths:
  /templating/v1:
    post:
      tags:
        - templating
      description: Execute file templating on the file.
      operationId: templating:v1.Templating.applyFileTemplating
      parameters:
        - name: libraryId
          in: query
          description: The library ID of the file where to apply templating.
          required: true
          schema:
            type: string
        - name: documentId
          in: query
          description: The ID of the document
          required: true
          schema:
            type: string
        - name: fileId
          in: query
          description: The file ID of the file where to apply templating.
          required: true
          schema:
            type: string
        - name: securityCode
          in: query
          description: The security code
          required: false
          schema:
            type: string
        - name: domain
          in: query
          description: The G Suite domain
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiFileTemplatingFormatOptions'
        required: true
      responses:
        '204':
          description: A successful response
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  schemas:
    ApiFileTemplatingFormatOptions:
      type: object
      properties:
        dateFormat:
          type: string
        dateTimeFormat:
          type: string
        decimalFormat:
          type: string
        falseValue:
          type: string
        integerFormat:
          type: string
        locale:
          type: string
        timeFormat:
          type: string
        timeZone:
          type: string
        trueValue:
          type: string
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````